; $Id: getreslimit.pro,v 1.1 2002/09/19 21:30:20 dimeo Exp $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro getResLimit_event,event
widget_control,event.top,get_uvalue = pState
thisEvent = tag_names(event,/structure)

if thisEvent eq 'WIDGET_BUTTON' then begin

  widget_control,(*pState).limit,get_value = val
  val = float(val[0])
  (*pState).value = val
  widget_control,event.top,/destroy

endif

return
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function getResLimit,xvals,group_leader = group_leader
; Widget definition module
if n_elements(group_leader) ne 0 then begin
  tlb = widget_base(group_leader = group_leader,/tlb_frame_attr, /col)
endif else begin
  tlb = widget_base(group_leader = group_leader,/tlb_frame_attr, /col)
endelse
limVal = 0.9*max(xvals)
limit = cw_field(tlb,title = 'Resolution function domain limit', $
        value = string(limVal),/string,xsize = 10)
void = widget_button(tlb,value = 'Accept and Quit')

widget_control,tlb,/realize
state = {limit:limit,value:0.0}
pState = ptr_new(state,/no_copy)
widget_control,tlb,set_uvalue = pState

xmanager,'getResLimit',tlb
value = (*pState).value
ptr_free,pState

return,value
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
